org.glassfish.jersey.server.model

## Interface Parameterized

All Known Implementing Classes:
  HandlerConstructor, Invocable

    public interface Parameterized

Used in the resource model to capture information on method parameters.

Author:
  Marc Hadley, Jakub Podlesak
See Also:
  `Parameter`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Parameter>` `getParameters()` Provides access to all parameters associated with given Parameterized instance.
`boolean` `requiresEntity()` Provides information on presence of an entity parameter.

### Method Detail

#### getParameters

    List<Parameter> getParameters()

Provides access to all parameters associated with given Parameterized instance.

Returns:
  list of actual parameters

#### requiresEntity

    boolean requiresEntity()

Provides information on presence of an entity parameter.

Returns:
  true if entity parameter is present, false otherwise